<?php

use App\Models\Study;
use App\Models\User;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('study_attachments', function (Blueprint $table) {
            $table->id();
            $table->string('file_name');
            $table->integer('file_size')->nullable();
            $table->string('file_type')->nullable();
            $table->foreignIdFor(Study::class)->constrained()->onDelete('cascade');
            $table->foreignIdFor(User::class)->nullable()->constrained()->onDelete('SET NULL');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('study_attachments');
    }
};
